Subject: Re: [Bitcoin-development] minor bitcoin-qt gripes moving BTC off specific key

From: Wladimir <[email-masked]>
Date: Tue, 7 May 2013 15:14:08 +0200

On Tue, May 7, 2013 at 2:28 PM, Gavin Andresen <[email-masked]>wrote:

> "sweep private key" is the missing functionality.
>
> I agree, it would be nice to have.
>
>
> On Tue, May 7, 2013 at 8:16 AM, Adam Back <[email-masked]> wrote:
>
>> Hi
>>
>> Three minor security/other issues:
>>
>> 1. please a way to unlock the wallet without displaying wallet password in
>>    console screen (console unlock wallet, to import priv key); or
>>
>> 2. a button to import a private key (and option to transfer it to another
>>    key - if you are not the sole controller the private key)
>>
>> 3. a UX way to transfer BTC off a specific adress (eg choose from
>>    address), rather than having to spend the entire wallet onto a new
>>    address, just to get BTC off a specific address.  Doing it that way has
>>    problems: creates more network traffic/bigger packets, higher fees (if
>>    any transactions are young/low confirmation), and generally damages
>>    privacy as all your funds end up linked.
>>
>
Yes, sweep (send all the coins from this addresses to me) should certainly
be added. Maybe even a way to do it periodically, though but that would
require remembering the key.

Importing private keys into the wallet will not be added as a user-friendly
option, as it is dangerous and potentially confusing.

As for (1), I think a better solution would to add a list of commands whose
arguments are censored in the console screen and command line history. At
least `importprivkey`, `walletpassphrase`, `walletpassphrasechange` should
likely be in that list.

Wladimir